Cleanup orphaned PIX keys
curl --request POST \
--url https://spi.sandbox.lerian.net/api/v1/dict/internal/keys/cleanup-orphaned \
--header 'Authorization: Bearer <token>'import requests
url = "https://spi.sandbox.lerian.net/api/v1/dict/internal/keys/cleanup-orphaned"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://spi.sandbox.lerian.net/api/v1/dict/internal/keys/cleanup-orphaned', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"cleaned": 123
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "about:blank"
}Cleanup orphaned PIX keys
Finds PIX keys stuck in PENDING_BACEN_SYNC and retries BACEN registration or deletes them. Internal admin endpoint.
POST
/
api
/
v1
/
dict
/
internal
/
keys
/
cleanup-orphaned
Cleanup orphaned PIX keys
Authorizations
JWT bearer token issued by the identity provider.
Response
OK
Number of orphaned PIX keys cleaned up (retried with BACEN or deleted)
Number of orphaned PIX keys cleaned up during this run (retried with BACEN or deleted)
Example:
3
Was this page helpful?
⌘I

